qrls(1B)

NAME
qrls - release hold on pbs batch jobs

SYNOPSIS
qrls [-h hold_list] job_identifier ...

DESCRIPTION
The qrls command removes or releases holds which exist on batch jobs.

A job may have one or more types of holds which make the job ineligible for execution. The types of holds are and The different types of holds may require that the user issuing the qrls command have special privilege. Typically, the owner of the job will be able to remove a hold, but not an or hold. An Attempt to release a hold for which the user does not have the correct privilege is an error and no holds will be released for that job.

If no option is specified, the hold will be released.

If the job has no pending, the job will change to the queued state. If an is still pending, the job will change to the waiting state.

OPTIONS

-h hold_list
    Defines the types of hold to be released from the jobs. The option argument is a string consisting of one or more of the letters "u", "o", an "s" in any combination, or one or more of the letters "n. The hold type associated with each letter is:

    u -

    o -

    s -

    n -

OPERANDS
The qrls command accepts one or more operands of the form:

STANDARD ERROR
The qrls command will write a diagnostic message to standard error for each error occurrence.

EXIT STATUS
Upon successful processing of all the operands presented to the qrls command, the exit status will be a value of zero.

If the qrls command fails to process any operand, the command exits with a value greater than zero.

SEE ALSO
qsub(1B), qalter(1B), qhold(1B), pbs_alterjob(3B), pbs_holdjob(3B), and pbs_rlsjob(3B).